CREATE TABLE hz_party_hier_version_denorm (
    TREE_STRUCTURE_CODE            VARCHAR2(120),
    TREE_CODE                      VARCHAR2(120),
    TREE_VERSION_ID                VARCHAR2(128),
    TREE_VERSION_LAST_SYNC_DATE    TIMESTAMP(6) ,
    REFRESH_STATE                  VARCHAR2(120),
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    REQUEST_ID                     NUMBER(18, 0),
    TREE_STRUCTURE_CODE            VARCHAR2(120),
    TREE_CODE                      VARCHAR2(120),
    TREE_VERSION_ID                VARCHAR2(128),
    TREE_VERSION_LAST_SYNC_DATE    TIMESTAMP(6) ,
    REFRESH_STATE                  VARCHAR2(120),
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    REQUEST_ID                     NUMBER(18, 0),
    CONSTRAINT pk_hz_party_hier_version_denorm PRIMARY KEY (TREE_STRUCTURE_CODE, TREE_CODE, TREE_VERSION_ID, TREE_STRUCTURE_CODE, TREE_CODE, TREE_VERSION_ID)
);
